Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## madkit.chat
Class Channel

    java.lang.Object
      madkit.chat.Channel

All Implemented Interfaces:
  java.io.Serializable

    public class Channel

extends java.lang.Object
implements java.io.Serializable

Titre : Chat Agent for MadKit Description : Data structure, used to register channels. Copyright : Copyright (c) 2002

See Also:
  Serialized Form

Constructor Summary
`Channel(java.lang.String n, java.lang.String t, int nbr, java.lang.String a)`

Method Summary
`java.lang.String` | `getAdminName()`
`java.lang.String` | `getName()`
`int` | `getNbrUsers()`
`java.lang.String` | `getTopic()`
`void` | `setAdminName(java.lang.String a)`
`void` | `setName(java.lang.String name)`
`void` | `setNbrUsers(int nbrUsers)`
`void` | `setTopic(java.lang.String topic)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Channel

    public Channel(java.lang.String n,
                   java.lang.String t,
                   int nbr,
                   java.lang.String a)

Method Detail

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getTopic

    public java.lang.String getTopic()

### setTopic

    public void setTopic(java.lang.String topic)

### getNbrUsers

    public int getNbrUsers()

### setNbrUsers

    public void setNbrUsers(int nbrUsers)

### getAdminName

    public java.lang.String getAdminName()

### setAdminName

    public void setAdminName(java.lang.String a)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.